<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2010 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: download_sections.php
| Author: Nick Jones (Digitanium)
| MOD by: Mateusz Sieprawski
| Email: crom9153@gmail.com
| Web: http://duner.info/
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../maincore.php";
require_once THEMES."templates/admin_header.php";

include LOCALE.LOCALESET."admin/download-cats.php";

if (!defined("DB_DOWNLOAD_SECTIONS")) {
    define("DB_DOWNLOAD_SECTIONS", DB_PREFIX."downloads_sections");
}

if (!checkrights("DC") || !defined("iAUTH") || $_GET['aid'] != iAUTH) redirect("../index.php");

if (isset($_GET['status']) && !isset($message)) {
	if ($_GET['status'] == "sn") {
		$message = "Dodano sekcj downloadu.";
	} elseif ($_GET['status'] == "su") {
		$message = "Zaktualizowano sekcj downloadu.";
	} elseif ($_GET['status'] == "deln") {
		$message = "Nie mona byo usun sekcji downloadu.<br />\nDo sekcji przypisane s kategorie downloadu.<br />\n<span class='small'>Przenie je do innej sekcji.</span>";
	} elseif ($_GET['status'] == "dely") {
		$message = "Usunito sekcj downloadu.";
	}
	if ($message) {	echo "<div id='close-message'><div class='admin-message'>".$message."</div></div>\n"; }
}

if ((isset($_GET['action']) && $_GET['action'] == "delete") && (isset($_GET['sec_id']) && isnum($_GET['sec_id']))) {
	$result = dbcount("(download_cat_id)", DB_DOWNLOAD_CATS, "download_cat_sec='".$_GET['sec_id']."'");
	if (!empty($result)) {
		redirect(FUSION_SELF.$aidlink."&status=deln");
	} else {
		$result = dbquery("DELETE FROM ".DB_DOWNLOAD_SECTIONS." WHERE download_sec_id='".$_GET['sec_id']."'");
		redirect(FUSION_SELF.$aidlink."&status=dely");
	}
} else {
	if (isset($_POST['save_sec'])) {
		$sec_name = stripinput($_POST['sec_name']);
		$sec_description = stripinput($_POST['sec_description']);
		$sec_access = isnum($_POST['sec_access']) ? $_POST['sec_access'] : "0";
		if ($sec_name) {
			if ((isset($_GET['action']) && $_GET['action'] == "edit") && (isset($_GET['sec_id']) && isnum($_GET['sec_id']))) {
				$result = dbquery("UPDATE ".DB_DOWNLOAD_SECTIONS." SET download_sec_name='$sec_name', download_sec_description='$sec_description', download_sec_access='$sec_access' WHERE download_sec_id='".$_GET['sec_id']."'");
				redirect(FUSION_SELF.$aidlink."&status=su");
			} else {
				$result = dbquery("INSERT INTO ".DB_DOWNLOAD_SECTIONS." (download_sec_name, download_sec_description, download_sec_access) VALUES('$sec_name', '$sec_description', '$sec_access')");
				redirect(FUSION_SELF.$aidlink."&status=sn");
			}
		} else {
			redirect(FUSION_SELF.$aidlink);
		}
	}
	if ((isset($_GET['action']) && $_GET['action'] == "edit") && (isset($_GET['sec_id']) && isnum($_GET['sec_id']))) {
		$result = dbquery("SELECT * FROM ".DB_DOWNLOAD_SECTIONS." WHERE download_sec_id='".$_GET['sec_id']."'");
		if (dbrows($result)) {
			$data = dbarray($result);
			$sec_name = $data['download_sec_name'];
			$sec_description = $data['download_sec_description'];
			$sec_access = $data['download_sec_access'];
			$formaction = FUSION_SELF.$aidlink."&amp;action=edit&amp;sec_id=".$data['download_sec_id'];
			opentable("Edytuj sekcj downloadu");
		} else {
			redirect(FUSION_SELF.$aidlink);
		}
	} else {
		$sec_name = "";
		$sec_description = "";
		$sec_access = "";
		$formaction = FUSION_SELF.$aidlink;
		opentable("Dodaj sekcj downloadu");
	}
	$user_groups = getusergroups(); $access_opts = ""; $sel = "";
	while(list($key, $user_group) = each($user_groups)){
		$sel = ($sec_access == $user_group['0'] ? " selected='selected'" : "");
		$access_opts .= "<option value='".$user_group['0']."'$sel>".$user_group['1']."</option>\n";
	}
	echo "<form name='addsec' method='post' action='$formaction'>\n";
	echo "<table cellpadding='0' cellspacing='0' width='400' class='center'>\n<tr>\n";
	echo "<td width='1%' class='tbl' style='white-space:nowrap'>".$locale['420']."</td>\n";
	echo "<td class='tbl'><input type='text' name='sec_name' value='".$sec_name."' class='textbox' style='width:200px;' /></td>\n";
	echo "</tr>\n<tr>\n";
	echo "<td width='1%' class='tbl' style='white-space:nowrap'>".$locale['421']."</td>\n";
	echo "<td class='tbl'><input type='text' name='sec_description' value='".$sec_description."' class='textbox' style='width:250px;' /></td>\n";
	echo "</tr>\n<tr>\n";
	echo "<td width='1%' class='tbl' style='white-space:nowrap'>".$locale['428']."</td>\n";
	echo "<td class='tbl'><select name='sec_access' class='textbox' style='width:150px;'>\n".$access_opts."</select></td>\n";
	echo "</tr>\n<tr>\n";
	echo "<td align='center' colspan='2' class='tbl'>\n";
	echo "<input type='submit' name='save_sec' value='".$locale['429']."' class='button' /></td>\n";
	echo "</tr>\n</table>\n</form>\n";
	closetable();

	opentable("Istniejce sekcje downloadu");
	echo "<table width='400' cellspacing='1' cellpadding='0' class='tbl-border center'>\n";
	$result = dbquery("SELECT download_sec_id, download_sec_name, download_sec_description, download_sec_access FROM ".DB_DOWNLOAD_SECTIONS." ORDER BY download_sec_name");
	if (dbrows($result) != 0) {
		$i = 0;
		echo "<tr>\n";
		echo "<td class='tbl2'>Sekcja</td>\n";
		echo "<td align='center' width='1%' class='tbl2' style='white-space:nowrap'>".$locale['441']."</td>\n";
		echo "<td align='center' width='1%' class='tbl2' style='white-space:nowrap'>".$locale['442']."</td>\n";
		echo "</tr>\n";
		while ($data = dbarray($result)) {
			$cell_color = ($i % 2 == 0 ? "tbl1" : "tbl2");
			echo "<tr>\n";
			echo "<td class='".$cell_color."'>".$data['download_sec_name']."\n";
			if ($data['download_sec_description']) { echo "<br /><span class='small'>".trimlink($data['download_sec_description'], 45)."</span>"; }
			echo "</td>\n<td align='center' width='1%' class='$cell_color' style='white-space:nowrap'>".getgroupname($data['download_sec_access'])."</td>\n";
			echo "<td align='center' width='1%' class='$cell_color' style='white-space:nowrap'><a href='".FUSION_SELF.$aidlink."&amp;action=edit&amp;sec_id=".$data['download_sec_id']."'>".$locale['443']."</a> -\n";
			echo "<a href='".FUSION_SELF.$aidlink."&amp;action=delete&amp;sec_id=".$data['download_sec_id']."' onclick=\"return confirm('Usun sekcj downloadu?');\">".$locale['444']."</a></td>\n";
			echo "</tr>\n";
			$i++;
		}
		echo "</table>\n";
	} else {
		echo "<tr><td align='center' class='tbl1'>Brak zdefiniowanych sekcji downloadu.</td></tr>\n</table>\n";
	}
	closetable();
}

require_once THEMES."templates/footer.php";
?>
