<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2010 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: downloads.php
| Author: Nick Jones (Digitanium)
| MOD by: Mateusz Sieprawski
| Email: crom9153@gmail.com
| Web: http://duner.info/
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "maincore.php";
require_once THEMES."templates/header.php";
include LOCALE.LOCALESET."downloads.php";

add_to_title($locale['global_200'].$locale['400']);

if (!defined("DB_DOWNLOAD_SECTIONS")) {
    define("DB_DOWNLOAD_SECTIONS", DB_PREFIX."downloads_sections");
}

if (isset($_GET['download_id']) && isnum($_GET['download_id'])) {
	$res = 0;
	if ($data = dbarray(dbquery("SELECT download_url, download_file, download_cat FROM ".DB_DOWNLOADS." WHERE download_id='".$_GET['download_id']."'"))) {
		$cdata = dbarray(dbquery("SELECT download_cat_access FROM ".DB_DOWNLOAD_CATS." WHERE download_cat_id='".$data['download_cat']."'"));
		if (checkgroup($cdata['download_cat_access'])) {
			$result = dbquery("UPDATE ".DB_DOWNLOADS." SET download_count=download_count+1 WHERE download_id='".$_GET['download_id']."'");
			if (!empty($data['download_file']) && file_exists(DOWNLOADS.$data['download_file'])) {
				$res = 1;
				require_once INCLUDES."class.httpdownload.php";
				ob_end_clean();
				$object = new httpdownload;
				$object->set_byfile(DOWNLOADS.$data['download_file']);
				$object->use_resume = true;
				$object->download();
				exit;
			} elseif (!empty($data['download_url'])) {
				$res = 1;
				redirect($data['download_url']);
			}
		}
	}
	if ($res == 0) { redirect("downloads.php"); }
}

if(!isSet($_GET['sec_id']) && !isSet($_GET['cat_id'])) {
opentable("Sekcje downloadu");
$result = dbquery("SELECT download_sec_id, download_sec_name, download_sec_description FROM ".DB_DOWNLOAD_SECTIONS." WHERE ".groupaccess('download_sec_access')." ORDER BY download_sec_name");
    $rows = dbrows($result);
    if ($rows) {
            $counter = 0; $columns = 2;
            echo "<table cellpadding='0' cellspacing='0' width='100%'>\n<tr>\n";
            while ($data = dbarray($result)) {
                    if ($counter != 0 && ($counter % $columns == 0)) { echo "</tr>\n<tr>\n"; }
                    $num = dbcount("(download_cat_id)", DB_DOWNLOAD_CATS, "download_cat_sec='".$data['download_sec_id']."'");
                    echo "<td valign='top' width='50%' class='tbl download_idx_sec_name'><a href='".FUSION_SELF."?sec_id=".$data['download_sec_id']."'>".$data['download_sec_name']."</a> <span class='small2'>($num)</span>";
                    
                    echo "</td>\n" ;
                    $counter++;
            }
            echo "</tr>\n</table>\n";
    } else {
            echo "<div style='text-align:center'><br />\nBrak udostpnionych sekcji downloadu.<br /><br />\n</div>\n";
    }
closetable();
}






elseif (isset($_GET['cat_id']) && isnum($_GET['cat_id'])) {
	$res = 0;
		$result = dbquery("SELECT * FROM ".DB_DOWNLOAD_CATS." WHERE download_cat_id='".$_GET['cat_id']."'");
	if (dbrows($result) != 0) {
		$cdata = dbarray($result);
		if (checkgroup($cdata['download_cat_access'])) {
			$res = 1;
			add_to_title($locale['global_201'].$cdata['download_cat_name']);
			opentable($locale['400']."  ".$cdata['download_cat_name']);
			echo "<!--pre_download_cat-->";
			$rows = dbcount("(*)", DB_DOWNLOADS, "download_cat='".$_GET['cat_id']."'");
			if (!isset($_GET['rowstart']) || !isnum($_GET['rowstart'])) { $_GET['rowstart'] = 0; }
			if ($rows != 0) {
				$result = dbquery("SELECT * FROM ".DB_DOWNLOADS." WHERE download_cat='".$_GET['cat_id']."' ORDER BY ".$cdata['download_cat_sorting']." LIMIT ".$_GET['rowstart'].",15");
				$numrows = dbrows($result); $i = 1;
				while ($data = dbarray($result)) {
					if ($data['download_datestamp'] + 604800 > time() + ($settings['timeoffset'] * 3600)) {
						$new = " <span class='small'>".$locale['410']."</span>";
					} else {
						$new = "";
					}
					echo "<table width='100%' cellpadding='0' cellspacing='1' class='tbl-border'>\n";
								echo "<tr>\n<td colspan='3' class='forum-caption'><strong>".$data['download_title']."</strong> $new</td>\n</tr>\n";
					if ($data['download_description']) { echo "<tr>\n<td colspan='3' class='tbl1'><center><img src='".DOWNLOADS."images/".$data['download_image']."' height='288px' witch='500px'></center><br></td>\n</tr>\n"; }

                                                             
                                                        echo "<td width='2%' class='tbl2'><strong>".$locale['414']."</strong> ".showdate("shortdate", $data['download_datestamp'])." ";
                                                                                        echo "<td width='2%' class='tbl2'> <strong>".$locale['424']."</strong>  ".$data['download_count']."";
                                                                                     echo "<td width='2%' class='tbl2'> <strong></strong>  ";
                                                                      echo " <a href=' ".FUSION_SELF."?cat_id=".$_GET['cat_id']."&amp;download_id=".$data['download_id']."' target='blank' style='font-weight:bold;color:red'>".$locale['416']."</a>";
                                     
                                                                            
			                    		 
                                                                                            
					 
                                                                                         
                                                                                         
                                                                                         
					 
				 
					echo "</table>\n";
					if ($i != $numrows) { echo "<div style='text-align:center'><img src='".get_image("blank")."' alt='' height='15' width='1' /></div>\n"; $i++; }
				}
				closetable();
				if ($rows > 15) { echo "<div align='center' style=';margin-top:5px;'>\n".makepagenav($_GET['rowstart'], 15, $rows, 3, FUSION_SELF."?cat_id=".$_GET['cat_id']."&amp;")."\n</div>\n"; }
			} else {
				echo "<div style='text-align:center'>".$locale['431']."</div>\n";
				echo "<!--sub_download_cat-->";
				closetable();
			}
		}
	}
	if ($res == 0) { redirect(FUSION_SELF); }
}
elseif (isnum($_GET['sec_id'])) {
        opentable($locale['400']);
	echo "<!--pre_download_idx-->\n";
	$result = dbquery("SELECT download_cat_id, download_cat_name, download_cat_description FROM ".DB_DOWNLOAD_CATS." WHERE download_cat_sec = '".$_GET['sec_id']."' AND ".groupaccess('download_cat_access')." ORDER BY download_cat_name");
	$rows = dbrows($result);
	if ($rows) {
		$counter = 0; $columns = 2;
		echo "<table cellpadding='0' cellspacing='0' width='100%'>\n<tr>\n";
		while ($data = dbarray($result)) {
			if ($counter != 0 && ($counter % $columns == 0)) { echo "</tr>\n<tr>\n"; }
			$num = dbcount("(download_cat)", DB_DOWNLOADS, "download_cat='".$data['download_cat_id']."'");
			echo "<td valign='top' width='50%' class='tbl download_idx_cat_name'><!--download_idx_cat_name--><a href='".FUSION_SELF."?cat_id=".$data['download_cat_id']."'>".$data['download_cat_name']."</a> <span class='small2'>($num)</span>";
			if ($data['download_cat_description'] != "") { echo "<br />\n<span class='small'>".$data['download_cat_description']."</span>"; }
			echo "</td>\n" ;
			$counter++;
		}
		echo "</tr>\n</table>\n";
	} else {
		echo "<div style='text-align:center'><br />\nBrak udostpnionych kategorii w tej sekcji.<br /><br />\n</div>\n";
	}
	echo "<!--sub_download_idx-->";
	closetable();
}

require_once THEMES."templates/footer.php";
?>
