<?php
/*-------------------------------------------------------+
| Filename: install_mod.php
| Author: Mateusz Sieprawski
| Email: crom9153@gmail.com
| Web: http://duner.info/
+--------------------------------------------------------+
| This MOD is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/

    require_once "maincore.php";

    if((!isSet($error1)) && (!isSet($error2))) {
        echo "Zainstalowano poprawnie.";
    }

    if((isSet($error1)) || (isSet($error2)) || (isSet($error3))) {
        echo "Nie zainstalowano z następujących przyczyn: <br />";
        echo "<ul>";
    }

    if(isSet($error1)) {
        echo "<li>Nie można było dodać <b>download_cat_sec</b> do tabeli ".DB_DOWNLOAD_CATS."</li>";
    }

    if(isSet($error2)) {
        echo "<li>Nie można było utworzyć tabeli.</li>";
    }

    if(isSet($error3)) {
        echo "<li>Nie można było dodać wpisu admina do tabeli ".DB_ADMIN."</li>";
    }

    if((isSet($error1)) || (isSet($error2)) || (isSet($error3))) {
        echo "</ul>";
    }

    $dodanie_cat_sec = dbquery("ALTER TABLE  `".DB_DOWNLOAD_CATS."` ADD  `download_cat_sec` MEDIUMINT( 8 ) NOT NULL DEFAULT  '0' AFTER  `download_cat_id`");
    if(!$dodanie_cat_sec) {
        $error1 = 1;
    }
    else {
        $error = 1;
    }

    $dodanie_tabeli_sec = dbquery("
    CREATE TABLE  `".DB_PREFIX."downloads_sections` (
        `download_sec_id` MEDIUMINT( 8 ) UNSIGNED NOT NULL AUTO_INCREMENT PRIMARY KEY ,
        `download_sec_name` VARCHAR( 100 ) NOT NULL DEFAULT  '',
        `download_sec_description` TEXT NOT NULL ,
        `download_sec_access` TINYINT( 3 ) UNSIGNED NOT NULL DEFAULT  '0'
        ) ENGINE = MYISAM ;
    ");
    if(!$dodanie_tabeli_sec) {
        $error2 = 1;
    }
    else {
        $error = 1;
    }

    $dodanie_wpisu_admina = dbquery("INSERT INTO `".DB_ADMIN."` VALUES (NULL, 'DC', 'dl_cats.gif', 'Sekcje downloadu', 'download_sections.php', '1')");
    if(!$dodanie_wpisu_admina) {
        $error3 = 1;
    }
    else {
        $error = 1;
    }
?>
